package common.rng;

public abstract class NoiseGen {
	public abstract void generate(double[] noise, int xoff, int yoff, int zoff, int xsize, int ysize, int zsize, double xscale, double yscale,
			double zscale);

	public final void generate(double[] noise, int xoff, int zoff, int xsize, int zsize, double xscale, double zscale, double ue) {
		this.generate(noise, xoff, 10, zoff, xsize, 1, zsize, xscale, 1.0D, zscale);
	}
}
